x003066_g_scriptId = 003066

x003066_g_PlayerPos = {}  --玩家出生点坐标
x003066_g_PlayerPos[1] = {260,42, 1.57}

function x003066_SetPlayerPos(scene, objId)
	local index = RandomMon(1, #x003066_g_PlayerPos + 1)
	SetScenePos(scene, objId, x003066_g_PlayerPos[index][1], x003066_g_PlayerPos[index][2], x003066_g_PlayerPos[index][3])
end

function x003066_OnObjRelife(scene, objId, type)
	if type == true then
		x003066_SetPlayerPos(scene, objId)
		--RelifeShenMoJiangYu(scene, objId)
	end
end

function x003066_OnObjEnter(scene, objId)
	if IsUser(objId) then
		UserEnterShenYuScene(scene, objId)
		x003066_SetPlayerPos(scene, objId)
	end
end

function x003066_OnObjLeave(scene, objId)
	UserLeaveShenYuScene(scene, objId)
end

function x003066_OnObjFlee(scene, objId)
	x003066_SetPlayerPos(scene, objId)
	--RelifeShenMoJiangYu(scene, objId)
end